<template>
  <div>
    <div id="nav">
      <ul>
        <li id="left">
          <ul class="breadcrumb">
            <li v-for="(br, index) in bread" :key="index">
              <a
                href="#/admin"
                v-on:click="
                  bread.splice(index + 1, bread.length);
                  view = adminTabs.find(e => e.name == br);
                "
              >{{ br }}</a>
            </li>
          </ul>
        </li>
        <li id="right">
          <ul class="links">
            <li>
              <router-link to="/">Return to the home</router-link>
            </li>
          </ul>
        </li>
      </ul>
    </div>
    <component
      v-bind:is="view.component"
      v-on:change-component="
        view = adminTabs.find(e => e.name == $event);
        checkBread($event);
      "
      v-on:object="whitObject($event)"
      v-on:string="string = $event"
      v-bind:object="object"
      v-bind:string="string"
    ></component>
  </div>
</template>

<script>
import adminHome from '../components/adminHome.vue';
import cityForm from '../components/cityForm.vue';
import cityManage from '../components/cityManage.vue';
import countryForm from '../components/countryForm.vue';
import countryManage from '../components/countryManage.vue';
import deliveryForm from '../components/deliveryForm.vue';
import deliveryManage from '../components/deliveryManage.vue';
import parcelForm from '../components/parcelForm.vue';
import parcelManage from '../components/parcelManage.vue';
import recipientForm from '../components/recipientForm.vue';
import recipientManage from '../components/recipientManage.vue';
import regionManage from '../components/regionManage.vue';
import regionForm from '../components/regionForm.vue';
import userForm from '../components/userForm.vue';
import userManage from '../components/userManage.vue';
import zipCodeForm from '../components/zipCodeForm.vue';
import zipCodeManage from '../components/zipCodeManage.vue';

export default {
  name: 'adminNav',
  data() {
    return {
      adminTabs: [
        { name: 'Admin', component: adminHome },
        { name: 'City', component: cityForm },
        { name: 'Country', component: countryForm },
        { name: 'Delivery', component: deliveryForm },
        { name: 'Parcel', component: parcelForm },
        { name: 'Recipient', component: recipientForm },
        { name: 'Region', component: regionForm },
        { name: 'User', component: userForm },
        { name: 'ZipCode', component: zipCodeForm },
        { name: 'Cities', component: cityManage },
        { name: 'Countries', component: countryManage },
        { name: 'Deliveries', component: deliveryManage },
        { name: 'Parcels', component: parcelManage },
        { name: 'Recipients', component: recipientManage },
        { name: 'Regions', component: regionManage },
        { name: 'Users', component: userManage },
        { name: 'ZipCodes', component: zipCodeManage },
      ],
      view: {},
      bread: ['Admin'],
      object: 0,
      string: 'a',

    };
  },
  created() {
    this.view = this.adminTabs.find(e => e.name === 'Admin');
  },
  methods: {
    checkBread(event) {
      if (this.bread.length >= 3) {
        if (this.bread.indexOf(event) === -1) {
          this.bread.splice(1, this.bread.length - 1);
          this.bread.push(event);
        }
      } else if (this.bread.indexOf(event) === -1) {
        this.bread.push(event);
      }
    },
    whitObject(object) {
      this.object = object;
    },
  },
};
</script>

<style scoped>
</style>
